Package org.eclipse.app4mc.amalthea.model.builder

## Class HardwareBuilder

- Object
- - HardwareBuilder

    public class HardwareBuilder
    extends Object

### Constructor Summary

Constructors
`HardwareBuilder()`

### Method Summary

All Methods
`void` `access​(ProcessingUnit container, Procedures.Procedure1<HwAccessElement> initializer)`
`void` `cache​(ProcessingUnit container, Procedures.Procedure1<Cache> initializer)`
`void` `connection​(HwStructure container, Procedures.Procedure1<HwConnection> initializer)`
`void` `definition_Cache​(HWModel container, Procedures.Procedure1<CacheDefinition> initializer)`
`void` `definition_ConnectionHandler​(HWModel container, Procedures.Procedure1<ConnectionHandlerDefinition> initializer)`
`void` `definition_Memory​(HWModel container, Procedures.Procedure1<MemoryDefinition> initializer)`
`void` `definition_ProcessingUnit​(HWModel container, Procedures.Procedure1<ProcessingUnitDefinition> initializer)`
`void` `domain_Frequency​(HWModel container, Procedures.Procedure1<FrequencyDomain> initializer)`
`void` `domain_Power​(HWModel container, Procedures.Procedure1<PowerDomain> initializer)`
`void` `feature​(HwFeatureCategory container, Procedures.Procedure1<HwFeature> initializer)`
`void` `featureCategory​(HWModel container, Procedures.Procedure1<HwFeatureCategory> initializer)`
`HWModel` `hardwareModelRoot​(Procedures.Procedure1<HWModel> initializer)`
`void` `module_Cache​(HwStructure container, Procedures.Procedure1<Cache> initializer)`
`void` `module_ConnectionHandler​(HwStructure container, Procedures.Procedure1<ConnectionHandler> initializer)`
`void` `module_Memory​(HwStructure container, Procedures.Procedure1<Memory> initializer)`
`void` `module_ProcessingUnit​(HwStructure container, Procedures.Procedure1<ProcessingUnit> initializer)`
`void` `path​(HwAccessElement container, Procedures.Procedure1<HwAccessPath> initializer)`
`void` `port​(Cache container, Procedures.Procedure1<HwPort> initializer)`
`void` `port​(ConnectionHandler container, Procedures.Procedure1<HwPort> initializer)`
`void` `port​(HwStructure container, Procedures.Procedure1<HwPort> initializer)`
`void` `port​(Memory container, Procedures.Procedure1<HwPort> initializer)`
`void` `port​(ProcessingUnit container, Procedures.Procedure1<HwPort> initializer)`
`void` `structure​(HWModel container, Procedures.Procedure1<HwStructure> initializer)`
`void` `structure​(HwStructure container, Procedures.Procedure1<HwStructure> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HardwareBuilder

    public HardwareBuilder()

### Method Detail

#### hardwareModelRoot

    public HWModel hardwareModelRoot​(Procedures.Procedure1<HWModel> initializer)

#### definition_Cache

    public void definition_Cache​(HWModel container,
                                 Procedures.Procedure1<CacheDefinition> initializer)

#### definition_Memory

    public void definition_Memory​(HWModel container,
                                  Procedures.Procedure1<MemoryDefinition> initializer)

#### definition_ProcessingUnit

    public void definition_ProcessingUnit​(HWModel container,
                                          Procedures.Procedure1<ProcessingUnitDefinition> initializer)

#### definition_ConnectionHandler

    public void definition_ConnectionHandler​(HWModel container,
                                             Procedures.Procedure1<ConnectionHandlerDefinition> initializer)

#### domain_Frequency

    public void domain_Frequency​(HWModel container,
                                 Procedures.Procedure1<FrequencyDomain> initializer)

#### domain_Power

    public void domain_Power​(HWModel container,
                             Procedures.Procedure1<PowerDomain> initializer)

#### featureCategory

    public void featureCategory​(HWModel container,
                                Procedures.Procedure1<HwFeatureCategory> initializer)

#### structure

    public void structure​(HWModel container,
                          Procedures.Procedure1<HwStructure> initializer)

#### feature

    public void feature​(HwFeatureCategory container,
                        Procedures.Procedure1<HwFeature> initializer)

#### structure

    public void structure​(HwStructure container,
                          Procedures.Procedure1<HwStructure> initializer)

#### module_Memory

    public void module_Memory​(HwStructure container,
                              Procedures.Procedure1<Memory> initializer)

#### module_ProcessingUnit

    public void module_ProcessingUnit​(HwStructure container,
                                      Procedures.Procedure1<ProcessingUnit> initializer)

#### module_Cache

    public void module_Cache​(HwStructure container,
                             Procedures.Procedure1<Cache> initializer)

#### module_ConnectionHandler

    public void module_ConnectionHandler​(HwStructure container,
                                         Procedures.Procedure1<ConnectionHandler> initializer)

#### connection

    public void connection​(HwStructure container,
                           Procedures.Procedure1<HwConnection> initializer)

#### port

    public void port​(HwStructure container,
                     Procedures.Procedure1<HwPort> initializer)

#### port

    public void port​(Memory container,
                     Procedures.Procedure1<HwPort> initializer)

#### port

    public void port​(ProcessingUnit container,
                     Procedures.Procedure1<HwPort> initializer)

#### port

    public void port​(Cache container,
                     Procedures.Procedure1<HwPort> initializer)

#### port

    public void port​(ConnectionHandler container,
                     Procedures.Procedure1<HwPort> initializer)

#### cache

    public void cache​(ProcessingUnit container,
                      Procedures.Procedure1<Cache> initializer)

#### access

    public void access​(ProcessingUnit container,
                       Procedures.Procedure1<HwAccessElement> initializer)

#### path

    public void path​(HwAccessElement container,
                     Procedures.Procedure1<HwAccessPath> initializer)